Changeset 26361 in project


Ignore:
Timestamp:
04/04/12 12:09:04 (9 years ago)
Author:
juergen
Message:

iup-tutor: changed use to require-library and import where necessary

File:
1 edited

Legend:

Unmodified
Added
Removed
  • wiki/iup-tutor

    r25767 r26361  
    323323But that's not important here.
    324324
     325Note, that there are no libraries iup-web, iup-pplot and iup-glcanvas.
     326They are all contained in the iup library. Hence we have to separate the
     327installation of the library iup from the import of its sublibraries.
     328
    325329<enscript highlight="scheme">
    326 (use srfi-4 iup iup-web iup-pplot iup-glcanvas)
     330(require-library srfi-4 iup)
     331(import srfi-4 iup iup-web iup-pplot iup-glcanvas)
    327332
    328333(define (popup dlg . args)
     
    649654
    650655<enscript highlight="scheme">
    651 (use iup iup-dialogs)
     656(require-library iup)
     657(import iup iup-dialogs)
    652658
    653659(define item-open (menu-item "&Open"))
     
    11361142
    11371143<enscript highlight="scheme">
    1138 (use iup iup-web data-structures)
     1144(require-library iup)
     1145(import iup iup-web data-structures)
    11391146
    11401147;;; webbrowser callbacks
     
    13221329== Last updated
    13231330
    1324 Jan 05, 2012
     1331Apr 04, 2012
Note: See TracChangeset for help on using the changeset viewer.